Page MenuHomePhabricator

[llvm-readobj] - Simplify .gnu.version_r dumping a bit.
ClosedPublic

Authored by grimar on Feb 11 2019, 4:42 AM.

Details

Summary

.gnu.version_r was implemented by me in D21024.

Implementation takes "Number of needed versions" from DT_VERNEEDNUM
dynamic tag entry. Though it would be simpler to take it from sh_info section header field:
https://docs.oracle.com/cd/E19683-01/816-1386/chapter6-94076/index.html

Event Timeline

grimar created this revision.Feb 11 2019, 4:42 AM
grimar retitled this revision from [llvm-readobj] - Simjplify .gnu.version_r dumping a bit. to [llvm-readobj] - Simplify .gnu.version_r dumping a bit..Feb 11 2019, 4:43 AM
grimar added a reviewer: ruiu.Feb 11 2019, 7:12 AM
ruiu accepted this revision.Feb 11 2019, 10:38 AM

LGTM

This revision is now accepted and ready to land.Feb 11 2019, 10:38 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 1:50 AM